lodash 0,8,33,32,18,0,38,0 editorconfig jscs travis-ci npm

A modern JavaScript utility library delivering modularity, performance, & extras.

2 years after

lodash v4.17.4

Site | Docs | FP Guide | Contributing | Wiki | Code of Conduct | Twitter | Chat

The Lodash library exported as a UMD module.

Generated using lodash-cli:

$ npm run build
$ lodash -o ./dist/lodash.js
$ lodash core -o ./dist/lodash.core.js

Download

Lodash is released under the MIT license & supports modern environments.
Review the build differences & pick one that’s right for you.

Installation

In a browser:

<script src="lodash.js"></script>

Using npm:

$ npm i -g npm
$ npm i --save lodash

In Node.js:

// Load the full build.
var _ = require('lodash');
// Load the core build.
var _ = require('lodash/core');
// Load the FP build for immutable auto-curried iteratee-first data-last methods.
var fp = require('lodash/fp');

// Load method categories.
var array = require('lodash/array');
var object = require('lodash/fp/object');

// Cherry-pick methods for smaller browserify/rollup/webpack bundles.
var at = require('lodash/at');
var curryN = require('lodash/fp/curryN');

Note:
Install n_ for Lodash use in the Node.js < 6 REPL.

Why Lodash?

Lodash makes JavaScript easier by taking the hassle out of working with arrays,
numbers, objects, strings, etc. Lodash’s modular methods are great for:

  • Iterating arrays, objects, & strings
  • Manipulating & testing values
  • Creating composite functions

Module Formats

Lodash is available in a variety of builds & module formats.

Related Repositories

babel-plugin-lodash

babel-plugin-lodash

Modular Lodash builds without the hassle. ...

lodash-id

lodash-id

Makes it easy to manipulate id-based resources with lodash or lowdb ...

lodash-deep

lodash-deep

Lodash mixins for (deep) object accessing / manipulation. ...

lodash-decorators

lodash-decorators

A collection of decorators using lodash at it's core. ...

You-Dont-Know-Lodash-Underscore

You-Dont-Know-Lodash-Underscore

In response to You-Dont-Need-Lodash-Underscore :raised_hand: ...


Top Contributors

jdalton jashkenas greenkeeperio-bot demoneaux kitcambridge braddunbar ratbeard ryantenney megawac jfmengels mathiasbynens phated octatone pimterry samuelclay iamnoah michaelficarra jridgewell rheh danallison FilipZawada jasondavies AdamCraven octref danheberden billyjanitsch dr-skot shinuza tomByrer kishanov

Dependencies

package version
dev async ^2.1.4
benchmark ^2.1.3
chalk ^1.1.3
cheerio ^0.22.0
codecov.io ~0.1.6
coveralls ^2.11.15
curl-amd ~0.8.12
docdown ~0.7.2
dojo ^1.12.1
ecstatic ^2.1.0
eslint ^3.15.0
eslint-plugin-import ^2.2.0
fs-extra ~1.0.0
glob ^7.1.1
istanbul 0.4.5
jquery ^3.1.1
lodash 4.17.3
lodash-doc-globals ^0.1.1
markdown-doctest ^0.9.1
optional-dev-dependency ^2.0.0
platform ^1.3.3
qunit-extras ^3.0.0
qunitjs ^2.1.0
request ^2.79.0
requirejs ^2.3.2
sauce-tunnel ^2.5.0
uglify-js 2.7.5
webpack ^1.14.0

Releases

-   4.16.2 zip tar
-   4.16.2-npm zip tar
-   4.16.2-es zip tar
-   4.16.2-amd zip tar
-   4.16.1 zip tar
-   4.16.1-npm zip tar
-   4.16.1-es zip tar
-   4.16.1-amd zip tar
-   4.16.0 zip tar
-   4.16.0-npm zip tar
-   4.16.0-es zip tar
-   4.16.0-amd zip tar
-   4.15.0 zip tar
-   4.15.0-npm zip tar
-   4.15.0-npm-packages zip tar
-   4.15.0-es zip tar
-   4.15.0-amd zip tar
-   4.14.2 zip tar
-   4.14.2-npm zip tar
-   4.14.2-es zip tar
-   4.14.2-amd zip tar
-   4.14.1 zip tar
-   4.14.1-npm zip tar
-   4.14.1-es zip tar
-   4.14.1-amd zip tar
-   4.14.0 zip tar
-   4.14.0-npm zip tar
-   4.14.0-npm-packages zip tar
-   4.14.0-es zip tar
-   4.14.0-amd zip tar